Get Activity by ID
curl --request GET \
--url https://crm.uservox.ai/api/v1/leads/activity/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://crm.uservox.ai/api/v1/leads/activity/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://crm.uservox.ai/api/v1/leads/activity/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"lead": "<string>",
"type": "<string>",
"status": "<string>",
"result": {
"callStatus": "<string>",
"duration": 123,
"conversationId": "<string>"
},
"createdAt": "<string>",
"completedAt": "<string>"
}
}Activities
Get Activity by ID
Retrieve a single activity by its ID
GET
/
leads
/
activity
/
get
Get Activity by ID
Query Parameters
string
required
The MongoDB ObjectId of the activity to retrieve
Response
boolean
Indicates if the request was successful
object
The activity object
Show Activity Properties
Show Activity Properties
string
The MongoDB ObjectId of the activity
string
The MongoDB ObjectId of the associated lead
string
Type of activity (e.g., “call”)
string
Status of the activity (e.g., “success”)
object
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of completion
⌘I
